# Uses of Record Class
com.usatiuk.dhfs.peersync.api.ApiPeerInfo

Packages that use ApiPeerInfo
Package
Description
com.usatiuk.dhfs.peersync
com.usatiuk.dhfs.peersync.api

## Uses of ApiPeerInfo in com.usatiuk.dhfs.peersync

Methods in com.usatiuk.dhfs.peersync that return types with arguments of type ApiPeerInfo
Modifier and Type
Method
Description
`Collection<org.apache.commons.lang3.tuple.Pair<PeerId,ApiPeerInfo>>`
ReachablePeerManager.`getSeenButNotAddedHosts()`

## Uses of ApiPeerInfo in com.usatiuk.dhfs.peersync.api

Methods in com.usatiuk.dhfs.peersync.api that return ApiPeerInfo
Modifier and Type
Method
Description
`ApiPeerInfo`
PeerSyncApi.`getSelfInfo()`
`ApiPeerInfo`
PeerSyncApiClient.`getSelfInfo()`
`ApiPeerInfo`
PeerSyncApiClientDynamic.`getSelfInfo(PeerAddress addr)`